Summary: Monitors APC UPS to initiate system shutdowns
Name: apcd
Version: 0.5
Release: 6
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://sunsite.unc.edu:/pub/Linux/system/UPS/apcd-%{version}.tar.gz
Source1: apcd.init
Patch: apcd-0.5.patch
BuildRoot: /var/tmp/%name-%version-root

%description
apcd can be used for controlling the APC SmartUPS. After
the power failure, apcd will inform the users about the
power failure once per minute.

%prep
%setup -q -c %name
%patch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8} \
         $RPM_BUILD_ROOT/etc/rc.d/init.d

make install BINDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/usr/man \
  ETCDIR=$RPM_BUILD_ROOT/etc

install -m755 $RPM_SOURCE_DIR/apcd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/apcd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apcd

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del apcd
fi

%files
%attr(-, root, root) %doc History README
%attr(-, root, bin) %config /etc/apcd.conf
%attr(-, root, bin) /usr/sbin/apcd
%attr(-, root, bin) /usr/man/man8/apcd.8
%attr(755, root, root) /etc/rc.d/init.d/apcd

%changelog
* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- fixed apcd.init

* Fri Nov 26 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2
